/********************************************************************
 *  Copyright (c) 2003, InfiniTec IT Soluions						*
 *																	*
 *	This program is free software; you can redistribute it			*
 *	and/or modify it under the terms of the GNU General Public		*
 *	License as published by the Free Software Foundation;			*
 *	either version 2 of the License, or (at your option) any		*
 *	later version. This program is distributed in the hope that		*
 *	it will be useful, but WITHOUT ANY WARRANTY; without even the	*	
 *	implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR *
 *	PURPOSE. See the GNU General Public License for more details.   * 
 ********************************************************************/
using System;

namespace InfiniTec.SystemUtilities
{
	/// <summary>
	/// Contains the object to be processed by the eventhandler.
	/// </summary>
	public class ProcessObjectEventArgs: EventArgs
	{
		private object fObject;

		/// <summary>
		/// The object that is to be processed by the called
		/// EventHandler
		/// </summary>
		public object Object 
		{
			get 
			{
				return fObject;
			}
		}

		private ProcessObjectEventArgs() {}
		/// <summary>
		/// Initiates a new instance of this class.
		/// </summary>
		/// <param name="o">The object to be processed.</param>
		public ProcessObjectEventArgs(object o) 
		{
			fObject = o;
		}


	}
}
