using System;
using System.Threading;

namespace InfiniTec.SystemUtilities
{
	/// <summary>
	/// Summary description for ThreadStateInfo.
	/// </summary>
	public class ThreadStateInfo
	{
		private DateTime _Created;
		private AutoResetEvent _WaitHandle;
		private Thread _Thread;

		/// <summary>
		/// Returns the createion date of the associated thread
		/// </summary>
		public DateTime Created
		{
			get
			{
				return _Created;
			}
		}

		/// <summary>
		/// Returns the waithandle that is associated with this thread
		/// </summary>
		public AutoResetEvent WaitHandle
		{
			get
			{
				return _WaitHandle;
			}
		}

		/// <summary>
		/// Returns the thread the is associated with this info instance.
		/// </summary>
		public Thread Thread
		{
			get
			{
				return _Thread;
			}
		}

		/// <summary>
		/// Creates a new instance of this class.
		/// </summary>
		/// <param name="thread">The thread to associate with this instance.</param>
		public ThreadStateInfo(Thread thread)
		{
			_Created = DateTime.Now;
			_WaitHandle = new AutoResetEvent(false);
			_Thread = thread;			
		}
	}
}
